Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#43692 - [tomcat8] catalina.sh wrong permissions

Attached to Project: Arch Linux
Opened by Martin (masux) - Tuesday, 03 February 2015, 21:43 GMT
Last edited by Guillaume ALAUX (galaux) - Thursday, 26 February 2015, 22:13 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Guillaume ALAUX (galaux)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
file /usr/share/tomcat8/bin/catalina.sh has permissions 644 but it should be 755
in PKGBUILD is source url set to
source=(http://archive.apache.org/dist/tomcat/tomcat-8/v${pkgver}/bin/apache-tomcat-${pkgver}.zip
but if we download .tar.gz archive permissions will be correct as in tomcat7 package

Steps to reproduce:
1. install tomcat8
2. try to use tomcat8 in some IDE(intellij idea,...)
This task depends upon

Closed by  Guillaume ALAUX (galaux)
Thursday, 26 February 2015, 22:13 GMT
Reason for closing:  Fixed
Additional comments about closing:  Fixed in 8.0.18-3
Comment by Guillaume ALAUX (galaux) - Thursday, 05 February 2015, 21:19 GMT
Fun! File modes are wrong on the zip available at [0]! They are correct on the tar.gz. So switching to using this one. Thanks.

[0] https://dist.apache.org/repos/dist/release/tomcat/tomcat-8/v8.0.18/bin/
Comment by Martin (masux) - Sunday, 22 February 2015, 20:30 GMT
  • Field changed: Percent Complete (100% → 0%)
Now there is no difference between zip or tar.gz archives, both archives have files with permissions set to 644 but some files like catalina.sh need permissions set to 755 or similar to be able to execute by users with group tomcat8.
Comment by Guillaume ALAUX (galaux) - Sunday, 22 February 2015, 20:32 GMT
Didn't see your request to re-open this. Last tomcat 8.0.18-3 package ships bin/* scripts with 755 mode. Am I missing something here?
Comment by Martin (masux) - Thursday, 26 February 2015, 22:08 GMT
My fault, sorry, after I saw I was wrong I could not cancel reopen request.

Loading...